> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Process Entries

> Endpoint for getting process entries



## OpenAPI

````yaml GET /processes/entries
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /processes/entries:
    parameters: []
    get:
      tags:
        - Processes
      summary: Get Process Entries
      description: Endpoint for getting process entries
      operationId: get-processes-entries
      parameters:
        - schema:
            type: string
          in: query
          name: process_id
          description: Get process entries related to a particular process id
        - schema:
            type: string
          in: query
          name: process_name
          description: Get process entries by name
        - schema:
            type: string
          in: query
          name: station_id
          description: Get process entries related to a station
        - schema:
            type: boolean
          in: query
          name: is_pass
          description: Get process entries by passing status
        - schema:
            type: string
          in: query
          name: operator_id
          description: Get process entries by operator id
        - schema:
            type: string
          in: query
          name: upload_error
          description: Get process entries by upload_error status
        - schema:
            type: string
          in: query
          name: id
          description: Get process entry by its Serial database id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Process-entry'
                  x-stoplight:
                    id: 3totu09ipofxn
components:
  schemas:
    Process-entry:
      title: process-entry
      x-stoplight:
        id: f6yrwtgvwn546
      type: object
      description: A Process Entry object
      properties:
        id:
          type: string
          x-stoplight:
            id: 3id4r4lfw4cja
          format: uuid
          description: Database id of the process entry.
        unique_identifier_id:
          type: string
          x-stoplight:
            id: 4wndy9pvc2w63
          format: uuid
          description: Database id for the associated component instance
        process_id:
          type: string
          x-stoplight:
            id: j308ppfjg0zmp
          format: uuid
          description: Database id for the associated process
        timestamp:
          type: string
          x-stoplight:
            id: zlhjq96he5wwx
          format: time
          description: Timestamp when the process entry was last updated.
        station_id:
          type: string
          x-stoplight:
            id: 8znsdqfy3b44k
          format: uuid
          description: >-
            Optional Database id for the station where the process entry was
            recorded.
        is_pass:
          type: boolean
          x-stoplight:
            id: y8d8ytfcupkrn
          description: >-
            Boolean representing the status of the process entry. May also be
            NULL (no data has been associated with this process entry).

            Will be TRUE if all data associated with the process entry is
            passing, and will be FALSE if at least 1 data associated with the
            entry is failing.
        operator_id:
          type: string
          x-stoplight:
            id: 3669djhlq4hfo
          description: >-
            Optional database id for the operator who created the process
            entrty.
        process_revision:
          type: integer
          x-stoplight:
            id: qsr1hhry1uzvf
          description: Revision of the process associated with the entry.
        upload_error:
          type: boolean
          x-stoplight:
            id: bqxhff95gz8pd
          description: >-
            Boolean indicating the completion of the process entry. If the
            boolean upload_error is false, then the process has been completed
            with all necessary steps. If it is true, then either steps are
            missing or steps have missing data.
        cycle_time:
          type: number
          x-stoplight:
            id: k2kjf8qi3fwr8
          description: >-
            Measure of time between start of process entry and end of data
            gathering. Can also be manually supplied by users.
        override_user_id:
          type: string
          x-stoplight:
            id: q9ku96lc0u7tu
          description: >-
            Database id for the user who overrode the passing state of this
            process entry.
      required:
        - id
        - unique_identifier_id
        - process_id
        - is_pass
        - upload_error
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````